#include <iostream>
#include <string>
#include <cstdio>
#include <cstdlib>

using namespace std;

string res;

void quit(int a)
{
	cout << "answer: " << a << "\n";
	cout.flush();
	exit(0);
}

void print(string s)
{
	cout << s << "\n";
	cout.flush();
}

int main()
{
	cin >> res;
	print("left: 1 2 3 4 right: 5 6 7 8");
	cin >> res;
	if (res == "equal")  {
		print("let: 9 right: 10");
		cin >> res;
		if (res == "equal")  {
			print("left: 11 right: 9");
			cin >> res;
			if (res == "equal")  quit(12); else quit(11); 
		}
		else {
			print("left: 11 right: 9");
			cin >> res;
			if (res == "equal")  quit(10); else quit(9); 
		
		};
	};
	if (res == "more")  {
		print("left: 1 2 5 right: 3 4 9");
		cin >> res;
		if (res == "equal")  {
			print("left: 6 right: 7");
			cin >> res;
			if (res == "equal")  quit(8);
			if (res == "more")  quit(7);
			if (res == "less")  quit(6);
		};
		if (res == "more")  {
			print("left: 1 right: 9");
            cin >> res;
			if (res == "equal")  quit(2); else quit(1);
		};
		if (res == "less")  {
			print("left: 3 5 right: 9 10");
			cin >> res;
			if (res == "equal")  quit(4);
			if (res == "more")  quit(3);
			if (res == "less")  quit(5);
		};
	};
	if (res == "less")  {
		print("left: 1 2 5 right: 3 4 9");
		cin >> res;
		if (res == "equal")  {
			print("left: 6 right: 7");
			cin >> res;
			if (res == "equal")  quit(8);
			if (res == "more")  quit(6);
			if (res == "less")  quit(7);
		};
		if (res == "less")  {
			print("left: 1 right: 9");
            cin >> res;
			if (res == "equal")  quit(2); else quit(1);
		};
		if (res == "more")  {
			print("left: 3 5 right: 9 10");
			cin >> res;
			if (res == "equal") quit(4);
			if (res == "more") quit(5);
			if (res == "less") quit(3);
		};
	};
}


